### Hierarchy

- FileFilter

## Index

### Constructors

- constructor

### Properties

- description
- extension
- macType

## Constructors

### constructor

- new FileFilter(description: string, extension: string, macType?: string): FileFilter

- - Defined in lib/openfl/net/FileFilter.d.ts:20

  #### Parameters

  - ##### description: string

  - ##### extension: string

  - ##### Optional macType: string

  #### Returns FileFilter

## Properties

### description

description: string

- Defined in lib/openfl/net/FileFilter.d.ts:10

The description string for the filter.

### extension

extension: string

- Defined in lib/openfl/net/FileFilter.d.ts:15

A list of file extensions.

### macType

macType: string

- Defined in lib/openfl/net/FileFilter.d.ts:20

A list of Macintosh file types.

Generated using TypeDoc